<template>
  <li class="list-group-item d-flex justify-content-between align-items-center">
    <div class="flex flex-lg-grow-1">
      {{ item[titleField] }}
    </div>
    <VButton name-btn="Delete" @click="$emit('remove',item)"/>
  </li>
</template>

<script>
import VButton from "@/components/VButton.vue";

export default {
  name: "VListItem",
  components: {VButton},
  props: {
    item: {
      type: Object,
      required: true
    },
    titleField: {
      default: 'title'
    },
  },
}
</script>

